Skip to main content

Request

[GET]
{{baseUrl}}/api/v1/gh/kyb/tin?tin=C00000000021
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
tin *stringThe TIN numberrequired

Sample response

Response
{
  "entity": {
    "is_valid": true,
    "regn_status": "REGISTERED",
    "rgdno": "12345678",
    "tax_office": "ACCRA",
    "taxpayer_name": "JOHN DOE",
    "tin": "C1234556787",
    "trading_as": "123R43A"
  }
}

Response Fields

FieldTypeDescription
entityobjectContains the verification response data
entity.is_validbooleanWhether the TIN is valid
entity.regn_statusstringRegistration status of the taxpayer
entity.rgdnostringRegistered number associated with the TIN
entity.tax_officestringTax office where the taxpayer is registered
entity.taxpayer_namestringName of the taxpayer
entity.tinstringTax Identification Number
entity.trading_asstringTrading name or alias of the taxpayer